[SCM] libav/experimental: Split codec-regression.sh, and create the lavf-regression.sh script.

siretart at users.alioth.debian.org siretart at users.alioth.debian.org
Sun Jun 30 16:53:31 UTC 2013


The following commit has been merged in the experimental branch:
commit 8f1e4d4ffcccdf32879e4b899d160f884ec810bc
Author: Stefano Sabatini <stefano.sabatini-lala at poste.it>
Date:   Sat Oct 24 17:01:47 2009 +0000

    Split codec-regression.sh, and create the lavf-regression.sh script.
    
    Originally committed as revision 20365 to svn://svn.ffmpeg.org/ffmpeg/trunk

diff --git a/Makefile b/Makefile
index 190493d..543da18 100644
--- a/Makefile
+++ b/Makefile
@@ -297,7 +297,7 @@ $(CODEC_TESTS) regtest-ref: tests/tiny_psnr$(HOSTEXESUF)
 	$(SRC_PATH)/tests/codec-regression.sh $@ rotozoom tests/vsynth2 a "$(TARGET_EXEC)" "$(TARGET_PATH)"
 
 $(LAVF_TESTS):
-	$(SRC_PATH)/tests/codec-regression.sh $@ lavf tests/vsynth1 b "$(TARGET_EXEC)" "$(TARGET_PATH)"
+	$(SRC_PATH)/tests/lavf-regression.sh $@ lavf tests/vsynth1 b "$(TARGET_EXEC)" "$(TARGET_PATH)"
 
 $(LAVFI_TESTS):
 	$(SRC_PATH)/tests/codec-regression.sh $@ lavfi tests/vsynth1 b "$(TARGET_EXEC)" "$(TARGET_PATH)"
diff --git a/tests/codec-regression.sh b/tests/codec-regression.sh
index 24225eb..cbc82cf 100755
--- a/tests/codec-regression.sh
+++ b/tests/codec-regression.sh
@@ -11,37 +11,6 @@ set -e
 
 eval do_$test=y
 
-do_lavf()
-{
-    file=${outfile}lavf.$1
-    do_ffmpeg $file -t 1 -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src -f s16le -i $pcm_src $2
-    do_ffmpeg_crc $file -i $target_path/$file $3
-}
-
-do_streamed_images()
-{
-    file=${outfile}${1}pipe.$1
-    do_ffmpeg $file -t 1 -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src -f image2pipe
-    do_ffmpeg_crc $file -f image2pipe -i $target_path/$file
-}
-
-do_image_formats()
-{
-    file=${outfile}lavf%02d.$1
-    echo $ffmpeg -t 0.5 -y -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src $2 $3 -flags +bitexact -sws_flags +accurate_rnd+bitexact $target_path/$file
-    $ffmpeg -t 0.5 -y -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src $2 $3 -flags +bitexact -sws_flags +accurate_rnd+bitexact $target_path/$file
-    do_md5sum ${outfile}lavf02.$1 >> $logfile
-    do_ffmpeg_crc $file $3 -i $target_path/$file
-    wc -c ${outfile}lavf02.$1 >> $logfile
-}
-
-do_audio_only()
-{
-    file=${outfile}lavf.$1
-    do_ffmpeg $file -t 1 -qscale 10 -f s16le -i $pcm_src
-    do_ffmpeg_crc $file -i $target_path/$file
-}
-
 rm -f "$logfile"
 rm -f "$benchfile"
 
@@ -373,182 +342,6 @@ do_audio_enc_dec wav s16 pcm_zork
 do_audio_enc_dec 302 s16 pcm_s24daud "-ac 6 -ar 96000"
 fi
 
-# libavformat testing
-
-if [ -n "$do_avi" ] ; then
-do_lavf avi
-fi
-
-if [ -n "$do_asf" ] ; then
-do_lavf asf "-acodec mp2" "-r 25"
-fi
-
-if [ -n "$do_rm" ] ; then
-file=${outfile}lavf.rm
-do_ffmpeg $file -t 1 -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src -f s16le -i $pcm_src
-# broken
-#do_ffmpeg_crc $file -i $target_path/$file
-fi
-
-if [ -n "$do_mpg" ] ; then
-do_lavf mpg
-fi
-
-if [ -n "$do_mxf" ] ; then
-do_lavf mxf "-ar 48000 -bf 2 -timecode_frame_start 264363"
-do_lavf mxf_d10 "-ar 48000 -ac 2 -r 25 -s 720x576 -padtop 32 -vcodec mpeg2video -intra -flags +ildct+low_delay -dc 10 -flags2 +ivlc+non_linear_q -qscale 1 -ps 1 -qmin 1 -rc_max_vbv_use 1 -rc_min_vbv_use 1 -pix_fmt yuv422p -minrate 30000k -maxrate 30000k -b 30000k -bufsize 1200000 -top 1 -rc_init_occupancy 1200000 -qmax 12 -f mxf_d10"
-fi
-
-if [ -n "$do_ts" ] ; then
-do_lavf ts
-fi
-
-if [ -n "$do_swf" ] ; then
-do_lavf swf -an
-fi
-
-if [ -n "$do_ffm" ] ; then
-do_lavf ffm
-fi
-
-if [ -n "$do_flv_fmt" ] ; then
-do_lavf flv -an
-fi
-
-if [ -n "$do_mov" ] ; then
-do_lavf mov "-acodec pcm_alaw"
-fi
-
-if [ -n "$do_dv_fmt" ] ; then
-do_lavf dv "-ar 48000 -r 25 -s pal -ac 2"
-fi
-
-if [ -n "$do_gxf" ] ; then
-do_lavf gxf "-ar 48000 -r 25 -s pal -ac 1"
-fi
-
-if [ -n "$do_nut" ] ; then
-do_lavf nut "-acodec mp2"
-fi
-
-if [ -n "$do_mkv" ] ; then
-do_lavf mkv
-fi
-
-
-# streamed images
-# mjpeg
-#file=${outfile}lavf.mjpeg
-#do_ffmpeg $file -t 1 -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src
-#do_ffmpeg_crc $file -i $target_path/$file
-
-if [ -n "$do_pbmpipe" ] ; then
-do_streamed_images pbm
-fi
-
-if [ -n "$do_pgmpipe" ] ; then
-do_streamed_images pgm
-fi
-
-if [ -n "$do_ppmpipe" ] ; then
-do_streamed_images ppm
-fi
-
-if [ -n "$do_gif" ] ; then
-file=${outfile}lavf.gif
-do_ffmpeg $file -t 1 -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src -pix_fmt rgb24
-#do_ffmpeg_crc $file -i $target_path/$file
-fi
-
-if [ -n "$do_yuv4mpeg" ] ; then
-file=${outfile}lavf.y4m
-do_ffmpeg $file -t 1 -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src
-#do_ffmpeg_crc $file -i $target_path/$file
-fi
-
-# image formats
-
-if [ -n "$do_pgm" ] ; then
-do_image_formats pgm
-fi
-
-if [ -n "$do_ppm" ] ; then
-do_image_formats ppm
-fi
-
-if [ -n "$do_bmp" ] ; then
-do_image_formats bmp
-fi
-
-if [ -n "$do_tga" ] ; then
-do_image_formats tga
-fi
-
-if [ -n "$do_tiff" ] ; then
-do_image_formats tiff "-pix_fmt rgb24"
-fi
-
-if [ -n "$do_sgi" ] ; then
-do_image_formats sgi
-fi
-
-if [ -n "$do_jpg" ] ; then
-do_image_formats jpg "-flags +bitexact -dct fastint -idct simple -pix_fmt yuvj420p" "-f image2"
-fi
-
-if [ -n "$do_pcx" ] ; then
-do_image_formats pcx
-fi
-
-# audio only
-
-if [ -n "$do_wav" ] ; then
-do_audio_only wav
-fi
-
-if [ -n "$do_alaw" ] ; then
-do_audio_only al
-fi
-
-if [ -n "$do_mulaw" ] ; then
-do_audio_only ul
-fi
-
-if [ -n "$do_au" ] ; then
-do_audio_only au
-fi
-
-if [ -n "$do_mmf" ] ; then
-do_audio_only mmf
-fi
-
-if [ -n "$do_aiff" ] ; then
-do_audio_only aif
-fi
-
-if [ -n "$do_voc" ] ; then
-do_audio_only voc
-fi
-
-if [ -n "$do_ogg" ] ; then
-do_audio_only ogg
-fi
-
-# pix_fmt conversions
-
-if [ -n "$do_pixfmt" ] ; then
-conversions="yuv420p yuv422p yuv444p yuyv422 yuv410p yuv411p yuvj420p \
-             yuvj422p yuvj444p rgb24 bgr24 rgb32 rgb565 rgb555 gray monow \
-             monob yuv440p yuvj440p"
-for pix_fmt in $conversions ; do
-    file=${outfile}lavf-${pix_fmt}.yuv
-    do_ffmpeg_nocheck $file -r 1 -t 1 -f image2 -vcodec pgmyuv -i $raw_src \
-                            -f rawvideo -s 352x288 -pix_fmt $pix_fmt $target_path/$raw_dst
-    do_ffmpeg $file -f rawvideo -s 352x288 -pix_fmt $pix_fmt -i $target_path/$raw_dst \
-                    -f rawvideo -s 352x288 -pix_fmt yuv444p
-done
-fi
-
 # libavfilter testing
 
 do_lavfi() {
diff --git a/tests/lavf-regression.sh b/tests/lavf-regression.sh
new file mode 100755
index 0000000..7b97881
--- /dev/null
+++ b/tests/lavf-regression.sh
@@ -0,0 +1,222 @@
+#!/bin/sh
+#
+# automatic regression test for libavformat
+#
+#
+#set -x
+
+set -e
+
+. $(dirname $0)/regression-funcs.sh
+
+eval do_$test=y
+
+do_lavf()
+{
+    file=${outfile}lavf.$1
+    do_ffmpeg $file -t 1 -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src -f s16le -i $pcm_src $2
+    do_ffmpeg_crc $file -i $target_path/$file $3
+}
+
+do_streamed_images()
+{
+    file=${outfile}${1}pipe.$1
+    do_ffmpeg $file -t 1 -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src -f image2pipe
+    do_ffmpeg_crc $file -f image2pipe -i $target_path/$file
+}
+
+do_image_formats()
+{
+    file=${outfile}lavf%02d.$1
+    echo $ffmpeg -t 0.5 -y -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src $2 $3 -flags +bitexact -sws_flags +accurate_rnd+bitexact $target_path/$file
+    $ffmpeg -t 0.5 -y -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src $2 $3 -flags +bitexact -sws_flags +accurate_rnd+bitexact $target_path/$file
+    do_md5sum ${outfile}lavf02.$1 >> $logfile
+    do_ffmpeg_crc $file $3 -i $target_path/$file
+    wc -c ${outfile}lavf02.$1 >> $logfile
+}
+
+do_audio_only()
+{
+    file=${outfile}lavf.$1
+    do_ffmpeg $file -t 1 -qscale 10 -f s16le -i $pcm_src
+    do_ffmpeg_crc $file -i $target_path/$file
+}
+
+rm -f "$logfile"
+rm -f "$benchfile"
+
+if [ -n "$do_avi" ] ; then
+do_lavf avi
+fi
+
+if [ -n "$do_asf" ] ; then
+do_lavf asf "-acodec mp2" "-r 25"
+fi
+
+if [ -n "$do_rm" ] ; then
+file=${outfile}lavf.rm
+do_ffmpeg $file -t 1 -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src -f s16le -i $pcm_src
+# broken
+#do_ffmpeg_crc $file -i $target_path/$file
+fi
+
+if [ -n "$do_mpg" ] ; then
+do_lavf mpg
+fi
+
+if [ -n "$do_mxf" ] ; then
+do_lavf mxf "-ar 48000 -bf 2 -timecode_frame_start 264363"
+do_lavf mxf_d10 "-ar 48000 -ac 2 -r 25 -s 720x576 -padtop 32 -vcodec mpeg2video -intra -flags +ildct+low_delay -dc 10 -flags2 +ivlc+non_linear_q -qscale 1 -ps 1 -qmin 1 -rc_max_vbv_use 1 -rc_min_vbv_use 1 -pix_fmt yuv422p -minrate 30000k -maxrate 30000k -b 30000k -bufsize 1200000 -top 1 -rc_init_occupancy 1200000 -qmax 12 -f mxf_d10"
+fi
+
+if [ -n "$do_ts" ] ; then
+do_lavf ts
+fi
+
+if [ -n "$do_swf" ] ; then
+do_lavf swf -an
+fi
+
+if [ -n "$do_ffm" ] ; then
+do_lavf ffm
+fi
+
+if [ -n "$do_flv_fmt" ] ; then
+do_lavf flv -an
+fi
+
+if [ -n "$do_mov" ] ; then
+do_lavf mov "-acodec pcm_alaw"
+fi
+
+if [ -n "$do_dv_fmt" ] ; then
+do_lavf dv "-ar 48000 -r 25 -s pal -ac 2"
+fi
+
+if [ -n "$do_gxf" ] ; then
+do_lavf gxf "-ar 48000 -r 25 -s pal -ac 1"
+fi
+
+if [ -n "$do_nut" ] ; then
+do_lavf nut "-acodec mp2"
+fi
+
+if [ -n "$do_mkv" ] ; then
+do_lavf mkv
+fi
+
+
+# streamed images
+# mjpeg
+#file=${outfile}lavf.mjpeg
+#do_ffmpeg $file -t 1 -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src
+#do_ffmpeg_crc $file -i $target_path/$file
+
+if [ -n "$do_pbmpipe" ] ; then
+do_streamed_images pbm
+fi
+
+if [ -n "$do_pgmpipe" ] ; then
+do_streamed_images pgm
+fi
+
+if [ -n "$do_ppmpipe" ] ; then
+do_streamed_images ppm
+fi
+
+if [ -n "$do_gif" ] ; then
+file=${outfile}lavf.gif
+do_ffmpeg $file -t 1 -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src -pix_fmt rgb24
+#do_ffmpeg_crc $file -i $target_path/$file
+fi
+
+if [ -n "$do_yuv4mpeg" ] ; then
+file=${outfile}lavf.y4m
+do_ffmpeg $file -t 1 -qscale 10 -f image2 -vcodec pgmyuv -i $raw_src
+#do_ffmpeg_crc $file -i $target_path/$file
+fi
+
+# image formats
+
+if [ -n "$do_pgm" ] ; then
+do_image_formats pgm
+fi
+
+if [ -n "$do_ppm" ] ; then
+do_image_formats ppm
+fi
+
+if [ -n "$do_bmp" ] ; then
+do_image_formats bmp
+fi
+
+if [ -n "$do_tga" ] ; then
+do_image_formats tga
+fi
+
+if [ -n "$do_tiff" ] ; then
+do_image_formats tiff "-pix_fmt rgb24"
+fi
+
+if [ -n "$do_sgi" ] ; then
+do_image_formats sgi
+fi
+
+if [ -n "$do_jpg" ] ; then
+do_image_formats jpg "-flags +bitexact -dct fastint -idct simple -pix_fmt yuvj420p" "-f image2"
+fi
+
+if [ -n "$do_pcx" ] ; then
+do_image_formats pcx
+fi
+
+# audio only
+
+if [ -n "$do_wav" ] ; then
+do_audio_only wav
+fi
+
+if [ -n "$do_alaw" ] ; then
+do_audio_only al
+fi
+
+if [ -n "$do_mulaw" ] ; then
+do_audio_only ul
+fi
+
+if [ -n "$do_au" ] ; then
+do_audio_only au
+fi
+
+if [ -n "$do_mmf" ] ; then
+do_audio_only mmf
+fi
+
+if [ -n "$do_aiff" ] ; then
+do_audio_only aif
+fi
+
+if [ -n "$do_voc" ] ; then
+do_audio_only voc
+fi
+
+if [ -n "$do_ogg" ] ; then
+do_audio_only ogg
+fi
+
+# pix_fmt conversions
+
+if [ -n "$do_pixfmt" ] ; then
+conversions="yuv420p yuv422p yuv444p yuyv422 yuv410p yuv411p yuvj420p \
+             yuvj422p yuvj444p rgb24 bgr24 rgb32 rgb565 rgb555 gray monow \
+             monob yuv440p yuvj440p"
+for pix_fmt in $conversions ; do
+    file=${outfile}lavf-${pix_fmt}.yuv
+    do_ffmpeg_nocheck $file -r 1 -t 1 -f image2 -vcodec pgmyuv -i $raw_src \
+                            -f rawvideo -s 352x288 -pix_fmt $pix_fmt $target_path/$raw_dst
+    do_ffmpeg $file -f rawvideo -s 352x288 -pix_fmt $pix_fmt -i $target_path/$raw_dst \
+                    -f rawvideo -s 352x288 -pix_fmt yuv444p
+done
+fi
+
+rm -f "$bench" "$bench2"

-- 
Libav/FFmpeg packaging



More information about the pkg-multimedia-commits mailing list